Bug 248806 - re-activating user doesn't work
Summary: re-activating user doesn't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
urgent
low
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Bret McMillan
URL: https://rhn.webqa.redhat.com/rhn/user...
Whiteboard:
Keywords:
Depends On:
Blocks: 239809
TreeView+ depends on / blocked
 
Reported: 2007-07-18 22:01 UTC by Chris Duryee
Modified: 2007-07-25 15:15 UTC (History)
1 user (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 15:15:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Duryee 2007-07-18 22:01:58 UTC
Description of problem:

re-activating disabled users doesn't work in QA


Version-Release number of selected component (if applicable): 502?


How reproducible:

every time


Steps to Reproduce:
1. log in as chris_duryee/redhat
2. try to re-activate beav_subuser
3. error

Comment 1 Grant Gainey 2007-07-19 13:31:21 UTC
Confirmed.  Error from catalina.out is 

2007-07-19 09:28:21,309 [TP-Processor7] ERROR
com.redhat.rhn.frontend.servlets.SessionFilter - Error during transaction.
Rolling back
java.lang.IllegalArgumentException: Could not find ACL handler  user_role in
statement: " user_role(org_admin)". Available ACL handlers: [is, is_solaris,
need_first_user, org_channel_family, org_entitlement, org_is_paying_customer,
org_proxy_evr_at_least, org_role, probe_suite_access, system_feature, uid_role,
user_authenticated, user_can_manage_channels, user_role]

We will need to fix this and get it into stage ASAP, before we hit PROD with 502.


Comment 2 Grant Gainey 2007-07-19 19:52:22 UTC
One-character whitespace error in struts-config.  Sigh

Comment 3 James Bowes 2007-07-25 15:15:19 UTC
rhn502 released.


Note You need to log in before you can comment on or make changes to this bug.